Bug 180316 - New port: textproc/p5-Catalyst-Action-Serialize-XML-Hash-LX
Summary: New port: textproc/p5-Catalyst-Action-Serialize-XML-Hash-LX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:10 UTC by Anes Mukhametov
Modified: 2013-11-18 19:32 UTC (History)
0 users

See Also:


Attachments
p5-Catalyst-Action-Serialize-XML-Hash-LX.shar (3.51 KB, text/plain)
2013-07-05 14:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:10:02 UTC
	New port: textproc/p5-Catalyst-Action-Serialize-XML-Hash-LX	
	XML::Hash::LX serializer for Catalyst
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:10:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:40 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:07 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Po-Chuan Hsieh freebsd_committer 2013-11-16 21:17:26 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-11-18 19:27:10 UTC
Author: sunpoet
Date: Mon Nov 18 19:26:56 2013
New Revision: 334250
URL: http://svnweb.freebsd.org/changeset/ports/334250

Log:
  - Add p5-Catalyst-Action-Serialize-XML-Hash-LX 0.06
  - While I'm here:
    - Add LICENSE
    - Fix *_DEPENDS
    - Convert to new Perl framework
    - Support STAGEDIR
    - Remove MD5 from distinfo
    - Sort PLIST
    - Fix WWW and pkg-descr
  
  XML::Hash::LX serialize/deserializer for Catalyst (Catalyst::Action::Serialize
  and Catalyst::Action::Deserialize).
  
  WWW: http://search.cpan.org/dist/Catalyst-Action-Serialize-XML-Hash-LX/
  
  PR:		ports/180316
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/
  head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/Makefile   (contents, props changed)
  head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/distinfo   (contents, props changed)
  head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-descr   (contents, props changed)
  head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-plist   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Mon Nov 18 19:25:54 2013	(r334249)
+++ head/www/Makefile	Mon Nov 18 19:26:56 2013	(r334250)
@@ -713,6 +713,7 @@
     SUBDIR += p5-CSS-Inliner
     SUBDIR += p5-Catalyst-Action-REST
     SUBDIR += p5-Catalyst-Action-RenderView
+    SUBDIR += p5-Catalyst-Action-Serialize-XML-Hash-LX
     SUBDIR += p5-Catalyst-ActionRole-ACL
     SUBDIR += p5-Catalyst-Authentication-Credential-HTTP
     SUBDIR += p5-Catalyst-Authentication-Credential-OpenID

Added: head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/Makefile	Mon Nov 18 19:26:56 2013	(r334250)
@@ -0,0 +1,24 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Catalyst-Action-Serialize-XML-Hash-LX
+PORTVERSION=	0.06
+CATEGORIES=	www perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	XML::Hash::LX serializer for Catalyst::Action::Serialize
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Catalyst-Runtime>=0:${PORTSDIR}/www/p5-Catalyst-Runtime \
+		p5-XML-Hash-LX>=0.06:${PORTSDIR}/textproc/p5-XML-Hash-LX
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+TEST_DEPENDS=	p5-lib-abs>=0.90:${PORTSDIR}/devel/p5-lib-abs
+
+USE_PERL5=	configure
+USES=		perl5
+
+.include <bsd.port.mk>

Added: head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/distinfo	Mon Nov 18 19:26:56 2013	(r334250)
@@ -0,0 +1,2 @@
+SHA256 (Catalyst-Action-Serialize-XML-Hash-LX-0.06.tar.gz) = 13ae84436ebdc238567527f80c5034c5ff21135bee090bccbd104cb876bf451d
+SIZE (Catalyst-Action-Serialize-XML-Hash-LX-0.06.tar.gz) = 24410

Added: head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-descr	Mon Nov 18 19:26:56 2013	(r334250)
@@ -0,0 +1,4 @@
+XML::Hash::LX serialize/deserializer for Catalyst (Catalyst::Action::Serialize
+and Catalyst::Action::Deserialize).
+
+WWW: http://search.cpan.org/dist/Catalyst-Action-Serialize-XML-Hash-LX/

Added: head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/p5-Catalyst-Action-Serialize-XML-Hash-LX/pkg-plist	Mon Nov 18 19:26:56 2013	(r334250)
@@ -0,0 +1,19 @@
+%%SITE_PERL%%/Catalyst/Action/Deserialize/XML/Hash/LX.pm
+%%SITE_PERL%%/Catalyst/Action/Serialize/XML/Hash/LX.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action/Serialize/XML/Hash/LX/.packlist
+%%PERL5_MAN3%%/Catalyst::Action::Deserialize::XML::Hash::LX.3.gz
+%%PERL5_MAN3%%/Catalyst::Action::Serialize::XML::Hash::LX.3.gz
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action/Serialize/XML/Hash/LX
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action/Serialize/XML/Hash
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action/Serialize/XML
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action/Serialize
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst/Action
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Catalyst
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Serialize/XML/Hash
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Serialize/XML
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Serialize
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Deserialize/XML/Hash
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Deserialize/XML
+@dirrmtry %%SITE_PERL%%/Catalyst/Action/Deserialize
+@dirrmtry %%SITE_PERL%%/Catalyst/Action
+@dirrmtry %%SITE_PERL%%/Catalyst
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2013-11-18 19:32:53 UTC
State Changed
From-To: open->closed

New port added as www/p5-Catalyst-Action-Serialize-XML-Hash-LX. Thanks!